Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class WorkerDummy

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.WorkerDummy

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

public class WorkerDummy
extends JkHandler

A dummy worker, will just send back a dummy response. Used for testing and tunning.

Field Summary

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`WorkerDummy()`

Method Summary
`void` | `init()` Initialize the worker.
`int` | `invoke(Msg in, MsgContext ep)`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, destroy, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkerDummy

    public WorkerDummy()

Method Detail

### init

    public void init()
              throws java.io.IOException

  Initialize the worker. After this call the worker will be ready to accept new requests.

  Overrides:
    `init` in class `JkHandler`
  Throws:
    `java.io.IOException`

### invoke

    public int invoke(Msg in,
                      MsgContext ep)
               throws java.io.IOException

  Overrides:
    `invoke` in class `JkHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.